Skip to main content
POST
/
v2
/
user
/
{user_id}
/
insurance
curl --request POST \
     --url {{BASE_URL}}/v2/user/{user_id}/insurance \
     --header 'Accept: application/json' \
     --header 'x-vital-api-key: <API_KEY>' \
     --header 'Content-Type: application/json' \
     --data '
{
  "payor_code": "UNITE",
  "member_id": "test",
  "group_id": "123",
  "relationship": "Self",
  "insured": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@email.com",
    "phone_number": "+1123123123",
    "gender": "Male",
    "dob": "1999-01-01",
    "address": {
      "first_line": "Some Street",
      "second_line": null,
      "zip": "85004",
      "state": "AZ",
      "city": "Phoenix",
      "country": "US"
    }
  }
}
'
{
  "member_id": "<string>",
  "payor_code": "<string>",
  "relationship": "Self",
  "insured": {
    "first_name": "<string>",
    "last_name": "<string>",
    "gender": "female",
    "address": {
      "first_line": "<string>",
      "country": "<string>",
      "zip": "<string>",
      "city": "<string>",
      "state": "<string>",
      "second_line": "",
      "access_notes": "<string>"
    },
    "dob": "2023-12-25",
    "email": "<string>",
    "phone_number": "<string>"
  },
  "company": {
    "name": "<string>",
    "address": {
      "first_line": "<string>",
      "country": "<string>",
      "zip": "<string>",
      "city": "<string>",
      "state": "<string>",
      "second_line": "",
      "access_notes": "<string>"
    }
  },
  "group_id": "<string>",
  "guarantor": {
    "first_name": "<string>",
    "last_name": "<string>",
    "address": {
      "first_line": "<string>",
      "country": "<string>",
      "zip": "<string>",
      "city": "<string>",
      "state": "<string>",
      "second_line": "",
      "access_notes": "<string>"
    },
    "phone_number": "<string>",
    "household_income": 123,
    "household_size": 123,
    "email": "<string>"
  },
  "is_primary": true
}

Documentation Index

Fetch the complete documentation index at: https://vital-mintlify-seo-audit-1777070113.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

If insurance is covered by Medicare or Medicaid, we have closed beta support for inferring the plan to use based on a patient’s address. This endpoint supports payor_codes with values of MEDFED (Medicare) and MAIDFED (Medicaid) to do this. For example, supplying a payor_code of MEDFED for a patient that lives in Arizona will create insurance data using Arizona’s Medicare plan payor code.
curl --request POST \
     --url {{BASE_URL}}/v2/user/{user_id}/insurance \
     --header 'Accept: application/json' \
     --header 'x-vital-api-key: <API_KEY>' \
     --header 'Content-Type: application/json' \
     --data '
{
  "payor_code": "UNITE",
  "member_id": "test",
  "group_id": "123",
  "relationship": "Self",
  "insured": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@email.com",
    "phone_number": "+1123123123",
    "gender": "Male",
    "dob": "1999-01-01",
    "address": {
      "first_line": "Some Street",
      "second_line": null,
      "zip": "85004",
      "state": "AZ",
      "city": "Phoenix",
      "country": "US"
    }
  }
}
'

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Path Parameters

user_id
string
required

Body

application/json
payor_code
string
required
member_id
string
required
relationship
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
Self,
Spouse,
Other
insured
PersonDetails · object
required
group_id
string | null
guarantor
GuarantorDetails · object
is_primary
boolean
default:true

Response

Successful Response

member_id
string
required
payor_code
string
required
relationship
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
Self,
Spouse,
Other
insured
PersonDetails · object
required
company
CompanyDetails · object
required
group_id
string | null
guarantor
GuarantorDetails · object
is_primary
boolean
default:true